Bug 861498 - Review Request: jdbi - A SQL convenience library for Java
Review Request: jdbi - A SQL convenience library for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Rati
Fedora Extras Quality Assurance
:
Depends On: 815060
Blocks: bigdata-review metrics
  Show dependency treegraph
 
Reported: 2012-09-28 16:19 EDT by gil cattaneo
Modified: 2013-12-17 14:06 EST (History)
2 users (show)

See Also:
Fixed In Version: jdbi-2.49-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-17 14:06:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rrati: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-09-28 16:19:29 EDT
Spec URL: http://gil.fedorapeople.org/jdbi.spec
SRPM URL: http://gil.fedorapeople.org/jdbi-2.39.1-1.fc16.src.rpm
Description: jDBI is designed to provide convenient tabular data access in
Java(TM). It uses the Java collections framework for query
results, provides a convenient means of externalizing SQL
statements, and provides named parameter support for any database
being used.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2013-06-02 03:07:13 EDT
Spec URL: http://gil.fedorapeople.org/jdbi.spec
SRPM URL: http://gil.fedorapeople.org/jdbi-2.49-1.fc18.src.rpm

- update to 2.49
Comment 3 gil cattaneo 2013-08-02 19:33:08 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5695054
Comment 4 Robert Rati 2013-12-06 13:57:31 EST
I'll review this
Comment 5 Robert Rati 2013-12-06 16:06:28 EST
Issues
======
- Verify files missing licensing header are appropriately licensed
- New upstream version available


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 130 files have unknown license.
     Detailed output of licensecheck in
     /home/rrati/review/861498-jdbi/licensecheck.txt

-- Notes --
Verify with upsteam files missing header information are licensed the same
as the other files.
-----------

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: If tests are skipped during package build explain why it was needed in a
     comment
     Note: Tests seem to be skipped. Verify there is a commment giving a
     reason for this
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jdbi-
     javadoc
[x]: Package functions as described.
[!]: Latest version is packaged.

-- Notes --
Version 2.51 is available
-----------

[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jdbi-2.49-1.fc21.noarch.rpm
          jdbi-javadoc-2.49-1.fc21.noarch.rpm
          jdbi-2.49-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jdbi jdbi-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
jdbi (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(cglib:cglib)
    mvn(com.fasterxml:classmate)
    mvn(org.antlr:antlr-runtime)
    mvn(org.springframework:spring-beans)
    mvn(org.springframework:spring-core)
    mvn(org.springframework:spring-jdbc)
    mvn(org.springframework:spring-tx)

jdbi-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jdbi:
    jdbi
    mvn(org.jdbi:jdbi)

jdbi-javadoc:
    jdbi-javadoc



Source checksums
----------------
https://github.com/brianm/jdbi/archive/jdbi-2.49.tar.gz :
  CHECKSUM(SHA256) this package     : ad0f8e4f99795af2b60fb9ee295614ed04a245fadd63582033e1083067e05d4f
  CHECKSUM(SHA256) upstream package : ad0f8e4f99795af2b60fb9ee295614ed04a245fadd63582033e1083067e05d4f
Comment 6 gil cattaneo 2013-12-06 17:07:43 EST
(In reply to Robert Rati from comment #5)
> Issues
> ======
> - Verify files missing licensing header are appropriately licensed
Thanks! Done! ASL
> - New upstream version available
i cant upgrade for now, cause so,e missing build deps:
com.fasterxml:classmate:0.9.0 (hibernate BR/R, anailable 0.8.0)
org.basepom:basepom-standard-oss:2 (not available)
Comment 7 Robert Rati 2013-12-09 08:10:15 EST
Approved
Comment 8 gil cattaneo 2013-12-09 12:04:13 EST
Thanks!

New Package SCM Request
=======================
Package Name: jdbi
Short Description: A SQL convenience library for Java
Owners: gil
Branches: f20
InitialCC: java-sig
Comment 9 Gwyn Ciesla 2013-12-09 12:10:35 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-12-09 13:17:03 EST
jdbi-2.49-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jdbi-2.49-1.fc20
Comment 11 Fedora Update System 2013-12-09 15:27:05 EST
jdbi-2.49-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 12 Fedora Update System 2013-12-17 14:06:12 EST
jdbi-2.49-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.